This portion of the API provides endpoints for managing clinical data related to animals, including assessments, diagnostics, consultations, and more.
Servers
https://api.ezyvet.comezyVet production environment
https://api.trial.ezyvet.comezyVet trial environment
Fetch an Assessment
GET
/v1/assessment
Each Assessment must be linked to a Consult.
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-assessment"Read assessment resources
Parameters
Query Parameters
id
Type
string
active
Type
string
created_at
Type
string
modified_at
Type
string
consult_id
Type
string
animal_id
Type
string
Default
5vet_id
Type
string
timestamp
Type
string
notes
Type
string
limit
Type
string
Default
10page
Type
string
Default
1Responses
A JSON object containing the meta information and items array.
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "Assessment": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "consult_id": "string", "animal_id": "string", "vet_id": "string", "timestamp": "string", "notes": "string" } } ], "messages": [ ]
{
}
GET
/v1/assessment
Samples
Fetches a list of Consults
GET
/v1/consult
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-consult"Read consult resources
Parameters
Query Parameters
id
Type
string
active
Type
string
created_at
Type
string
modified_at
Type
string
ownership_id
Type
string
code
Type
string
date
Type
string
animal_id
Type
string
vet_id
Type
string
description
Type
string
limit
Type
string
Default
10page
Type
string
Default
1referring_vet_contact_id
Type
string
referring_clinic_id
Type
string
Responses
A list of Consults
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "consult": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "ownership_id": "string", "code": "string", "date": "string", "animal_id": "string", "vet_id": "string", "description": "string", "presenting_problem_link_list": [ 0 ], "referring_vet_contact_id": "string", "referring_clinic_id": "string" } } ], "messages": [ ]
{
}
GET
/v1/consult
Samples
Fetch a Diagnostic
GET
/v1/diagnostic
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-diagnostic"Read diagnostic resources
Parameters
Query Parameters
id*
The ID number used by the system to uniquely identify a Diagnostic.
Type
Requiredstring
Responses
A successful response
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string", "transaction_id": "string" }, "items": [ { "diagnostic": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "name": "string", "code": "string", "supplier_contact_id": "string" } } ], "messages": [ { } ]
{
}
GET
/v1/diagnostic
Samples
Creates a single DiagnosticRequest
POST
/v1/diagnosticrequest
Creates a single DiagnosticRequest that links to a Consult. The objects in the diagnostic_list will all create a DiagnosticRequestItem that has the same Diagnostic using three different methods.
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"write-diagnosticrequest"Create and update diagnostic request resources
Request Body
application/json
JSON "status": "string", "specifics": "string", "vet_id": 0, "consult_id": 0, "ownership_id": 0, "diagnostic_list": [ { "diagnostic_id": 0, "diagnostic_class": "string" } ]
{
}
Responses
A successful response
application/json
JSON "meta": { "timestamp": "string" }, "items": [ { "diagnosticrequest": { "id": 0, "active": true, "created_at": 0, "modified_at": 0, "timestamp": 0, "contact_id": 0, "animal_id": 0, "consult_id": 0, "vet_id": 0, "reference_number": "string", "specifics": "string", "status": "string", "supplier_id": 0, "ownership_id": 0, "diagnostic_list": [ { "id": 0, "active": true, "created_at": 0, "modified_at": 0, "diagnostic_id": 0, "name": "string", "diagnostic_class": "string", "code": "string" } ] } } ], "messages": [ { } ]
{
}
POST
/v1/diagnosticrequest
Samples
Fetch a Diagnostic Result list
GET
/v1/diagnosticresult
Fetches a list containing DiagnosticResult(s). (up to 10)
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-diagnosticresult"Read diagnostic result resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an DiagnosticResult.
Type
string
active
If true, the DiagnosticResult is active and usable in ezyVet.
Type
string
created_at
The epoch time when the DiagnosticResult was created.
Type
string
modified_at
The epoch time when the DiagnosticResult was last modified.
Type
string
ownership_id
The ID of the Separation to which this DiagnosticResult belongs.
Type
string
consult_id
Refers to the ID of the Consult where the DiagnosticResult is attached.
Type
string
animal_id
Refers to the ID of the Animal.
Type
string
supplier_id
Refers to the ID of the Contact (who is a supplier) of the diagnostic.
Type
string
vet_id
Refers to the ID of the User (who is a vet) associated with the DiagnosticResult.
Type
string
diagnostic_request_id
Refers to the ID of the DiagnosticRequest linked to the DiagnosticResult.
Type
string
reference_number
Refers to the reference number of the DiagnosticRequest linked to the DiagnosticResult.
Type
string
timestamp
Generally refers to the date when the results of the diagnostic were released. This doesn't necessarily refer to when the DiagnosticResult record was created.
Type
string
specifics
Specifics/notes about the DiagnosticResult.
Type
string
outcome
Notes about the result of the DiagnosticResult. This can be in markdown format.
Type
string
limit
Sets the limit on the number of items returned (range: 1 - 50)
Type
string
Default
10page
Specifies the page number of the result.
Type
string
Default
1Responses
Successful response
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "diagnosticresult": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "ownership_id": "string", "consult_id": "string", "animal_id": "string", "supplier_id": "string", "vet_id": "string", "diagnostic_request_id": "string", "reference_number": "string", "timestamp": "string", "specifics": "string", "outcome": "string", "diagnostic_result_item_list": [ "string" ] } } ], "messages": [ "string" ]
{
}
GET
/v1/diagnosticresult
Samples
Fetch a DiagnosticResultItem list
GET
/v1/diagnosticresultitem
Fetches a list of DiagnosticResultItem(s) for a DiagnosticResult.
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-diagnosticresultitem"Read diagnostic result item resources
Parameters
Query Parameters
diagnostic_result_id*
Type
Requiredstring
id
Type
string
active
Type
string
created_at
Type
string
modified_at
Type
string
timestamp
Type
string
name
Type
string
value
Type
string
unit
Type
string
range_low
Type
string
range_high
Type
string
qualifier
Type
string
notes
Type
string
limit
Type
string
Default
10page
Type
string
Default
1Responses
A list of DiagnosticResultItem(s)
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "diagnosticresultitem": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "timestamp": "string", "diagnostic_result_id": "string", "name": "string", "value": "string", "unit": "string", "range_low": "string", "range_high": "string", "qualifier": "string", "notes": "string" } } ], "messages": [ ]
{
}
GET
/v1/diagnosticresultitem
Samples
Health Status
Fetch a HealthStatus list
GET
/v1/healthstatus
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-healthstatus"Read health status resources
Parameters
Query Parameters
animal_id*
The ID number used by the system to uniquely identify an Animal.
Type
Requirednumber
Responses
Successful response
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "healthstatus": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "consult_id": "string", "animal_id": "string", "timestamp": "string", "notes": "string", "blood_pressure": 0, "weight": 0, "weight_unit": "string", "temperature": 0, "heart_rate": 0, "respiratory_rate": 0, "bcs": 0, "max_bcs": 9, "pain_score": "string", "max_pain_score": 5, "dental_score": "string", "max_dental_score": 4, "crt": "string", "mm": "string", "attitude": "string", "left_ovary_size": 0, "left_ovary_stage": "string", "right_ovary_size": 0, "right_ovary_stage": "string", "uterine_tone": 0, "uterine_edema": 0, "uterine_fluid": "string", "uterine_cyst": "string", "uterine_cytology": 0, "cervix_tone": 0, "cervix_cytology": 0, "pregnant": "string", "pulse_quality": "string", "respiratory_effort": "string" } } ], "messages": [ "string" ]
{
}
GET
/v1/healthstatus
Samples
Fetch a History list
GET
/v1/history
Fetches a list containing History(s). (up to 10)
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-history"Read history resources
Parameters
Query Parameters
limit
Type
number
id
Type
string
active
Type
string
created_at
Type
string
modified_at
Type
string
consult_id
Type
string
animal_id
Type
string
history_system
Type
string
chain
Type
string
comments
Type
string
timestamp
Type
string
vet_id
Type
string
Responses
A list of History items
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "history": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "consult_id": "string", "animal_id": "string", "history_system": "string", "chain": "string", "comments": "string", "timestamp": "string", "vet_id": "string" } } ], "messages": [ { } ]
{
}
GET
/v1/history
Samples
Fetch an array of IntegratedDiagnostic objects
GET
/v1/integrateddiagnostic
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-integrateddiagnostic"Read integrated diagnostic resources
Parameters
Path Parameters
id
The ID number used by the system to uniquely identify a IntegratedDiagnostic.
Type
number
Query Parameters
code
A code assigned by an ezyVet user to keep track of the IntegratedDiagnostic. This value is subject to change.
Type
string
Responses
Successful response
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "integrateddiagnostic": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "name": "string", "code": "string", "supplier_price": 0, "supplier_currency": "string", "description": "string" } } ], "messages": [ { } ]
{
}
GET
/v1/integrateddiagnostic
Samples
Fetches a list of Operations
GET
/v1/operation
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-operation"Read operation resources
Parameters
Query Parameters
animal_id*
The ID number used by the system to uniquely identify an Operation.
Type
Requirednumber
id
The ID number used by the system to uniquely identify an Operation.
active
If true, the Operation is active and usable in ezyVet.
created_at
The epoch time when the Operation was created.
modified_at
The epoch time when the Operation was last modified.
consult_id
Refers to the ID of the Consult where the Operation is attached.
vet_id
Refers to the ID of the User who is a Vet and is linked to the Operation.
timestamp
The date when the clinic did a performed the examination for the health status of the Animal. Note that this doesn't necessarily refer to when the Operation record was created.
therapeutic_id
Refers to the ID of the Therapeutic performed in the Operation.
specifics
Contains specifics/notes about the Operation.
Type
string
outcome
Contains notes about the result of the Operation.
Type
string
Responses
A list of Operations
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "operation": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "consult_id": "string", "animal_id": "string", "vet_id": "string", "timestamp": "string", "therapeutic_id": "string", "specifics": "string", "outcome": "string" } } ], "messages": [ ]
{
}
GET
/v1/operation
Samples
Fetch a PhysicalExam list
GET
/v1/physicalexam
Fetches a list containing PhysicalExam(s). (up to 10)
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-physicalexam"Read physical exam resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an PhysicalExam.
Type
string
active
If true, the PhysicalExam is active and usable in ezyVet.
Type
string
created_at
The epoch time when the PhysicalExam was created.
Type
string
modified_at
The epoch time when the PhysicalExam was last modified.
Type
string
consult_id
Refers to the ID of the Consult where the PhysicalExam is attached.
Type
string
animal_id
Refers to the ID of the Animal.
Type
string
body_system
Refers to the ID of the BodySystem.
Type
string
chain
The chain of BodySystem items thus far.
Type
string
comments
Comments for the PhysicalExam record.
Type
string
timestamp
The date when PhysicalExam was noted for the consult. Note that this doesn't necessarily refer to when the PhysicalExam record was created.
Type
string
vet_id
Refers to the ID of the User who is a Vet and is linked to the PhysicalExam.
Type
string
Responses
A list of PhysicalExams
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "physicalexam": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "consult_id": "string", "animal_id": "string", "body_system": "string", "chain": "string", "comments": "string", "timestamp": "string", "vet_id": "string" } } ], "messages": [ ]
{
}
GET
/v1/physicalexam
Samples
Fetch a Plan
GET
/v1/plan
Each Plan must be linked to a Consult.
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-plan"Read plan resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an Plan.
Type
string
active
If true, the Plan is active and usable in ezyVet.
Type
string
created_at
The epoch time when the Plan was created.
Type
string
modified_at
The epoch time when the Plan was last modified.
Type
string
consult_id
Refers to the ID of the Consult where the Plan is attached.
Type
string
animal_id
Refers to the ID of the Animal.
Type
string
vet_id
Refers to the ID of the User who is the Vet linked to the Plan.
Type
string
timestamp
The date when the clinic did a performed the examination for the health status of the Animal. Note that this doesn't necessarily refer to when the Plan record was created.
Type
string
notes
Notes about the Plan record.
Type
string
limit
Limits the number of items returned.
Type
number
Default
10page
Specifies the page number of the result.
Type
number
Default
1Responses
Successful response
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "plan": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "consult_id": "string", "animal_id": "string", "vet_id": "string", "timestamp": "string", "notes": "string" } } ], "messages": [ "string" ]
{
}
GET
/v1/plan
Samples
Fetch a PresentingProblem list
GET
/v1/presentingproblem
Fetches a list containing PresentingProblem(s).
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-presentingproblem"Read presenting problem resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an PresentingProblem.
Type
string
active
If true, the PresentingProblem is active and usable in ezyVet.
Type
string
created_at
The epoch time when the PresentingProblem was created.
Type
string
modified_at
The epoch time when the PresentingProblem was last modified.
Type
string
name
The name of the PresentingProblem.
Type
string
limit
Sets the limit on the number of items returned (range: 1 - 50).
Type
string
Minimum
1Maximum
50Default
10page
Specifies the page number of the result.
Type
string
Minimum
1Default
1Responses
A list of presenting problems
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "presentingproblem": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "name": "string" } } ], "messages": [ ]
{
}
GET
/v1/presentingproblem
Samples
Fetch a PresentingProblemLink list
GET
/v1/presentingproblemlink
Fetch all the PresentingProblemLinks. (up to 10)
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-presentingproblemlink"Read presenting problem link resources
Parameters
Query Parameters
consult_id*
Type
Requiredstring
id
active
created_at
modified_at
presenting_problem_id
Type
string
limit
Default
10page
Default
1Responses
A list of PresentingProblemLinks
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "presentingproblemlink": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "presenting_problem_id": "string", "consult_id": "string" } } ], "messages": [ { } ]
{
}
GET
/v1/presentingproblemlink
Samples
Fetch a list containing Vaccinations
GET
/v1/vaccination
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-vaccination"Read vaccination resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a Vaccination.
Type
string
active
If true, the Vaccination is active and usable in ezyVet.
Type
string
created_at
The epoch time when the Vaccination was created.
Type
string
modified_at
The epoch time when the Vaccination was last modified.
Type
string
vet_id
Refers to the ID of the User (vets only) who performed the vaccination.
Type
string
consult_id
Refers to the ID of the Consult related to the Vaccination.
Type
string
product_id
Refers to the ID of the vaccine Product used for the Vaccination.
Type
string
qty
Refers to the amount of product units administered.
Type
string
description
Description and notes for the Vaccination.
Type
string
date_of_administration
The epoch time when the vaccine Product was administered.
Type
string
date_of_next_administration
The epoch time when the vaccine Product will next be administered.
Type
string
limit
Limits the number of items returned.
Type
string
Default
10page
Specifies the page number of the result.
Type
string
Default
1Responses
A list of Vaccinations
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "vaccination": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "vet_id": "string", "consult_id": "string", "product_id": "string", "qty": "string", "description": "string", "notes": "string", "date_of_administration": "string", "date_of_next_administration": "string" } } ], "messages": [ ]
{
}
GET
/v1/vaccination
Samples
Get event groups
GET
/v2/eventgroup
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-eventgroup"Read event group resources
Parameters
Query Parameters
id
The ezyVet ID of the record.
Type
string
Example
"1"uid
The ezyVet UID of the record.
Type
string
active
If true, the record is active and usable in ezyVet.
Type
string
Example
"1"limit
Sets the number of items to be returned in each page. Default is 10, Limit is 200.
Type
number
Example
200page
Sets the page to be returned.
Type
number
Example
1created_at
The epoch time when the record was created.
Type
string
Example
1695766710modified_at
The epoch time when the record was last modified
Type
string
Example
1695766710socOnly
Returns only event groups that would result in a SOC for a patient. This includes: Treatment and Vaccine Event Groups that have a valid event group association.
Type
boolean
Example
trueResponses
Returns a list of event groups.
application/json
JSON "meta": { "timestamp": 1695766710, "items_page": 1, "items_page_total": 191, "items_page_size": 1, "items_total": 29, "transaction_id": "c780c14f01293932e1d1f16db7bfe017a6f02eb6e33bb6dc13944fe07cb6a85c" }, "items": [ { "eventgroup": { "id": "1", "active": "true", "created_at": "1307487862", "modified_at": "1363044343", "uid": "socGroup_yR3VokRf1OvtHWoqTrpCp", "name": "Equine Herpes Virus", "importance": "Core", "type": "Vaccine" } } ], "messages": [ [ ] ]
{
}
GET
/v2/eventgroup
Samples
Standard of Care
Animal-specific Standard of Care records showing due and completed care items. These records are derived from the SOC rule engine and reflect the current state of each care service for a given animal.
For SOC configuration (care services, eligibility rules, linked products, exemptions) see the v4 SOC configuration API (/v4/soc/care-services).
Get standard of care events
GET
/v2/standardofcare
Gets standard of care events
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-standardofcare"Read standard of care resources
Parameters
Query Parameters
limit
Sets the number of items to be returned on each page. Min: 1, Max: 5000
Type
integer
Example
5000page
Type
integer
Example
1modified_at
The epoch time when the record was last modified
Type
string
Example
1695766710Responses
Returns a list of SOC events.
application/json
JSON "meta": { "timestamp": 1695766710, "items_page": 1, "items_page_total": 191, "items_page_size": 1, "items_total": 29, "transaction_id": "c780c14f01293932e1d1f16db7bfe017a6f02eb6e33bb6dc13944fe07cb6a85c" }, "items": [ { "standardofcare": { "id": 12, "uid": "standardOfCare_jt3AXwOC6fa6QcwxAw3pE", "deleted_at": 1620232140, "due_at": 1620234360, "last_fulfilled_at": 1620232140, "animal_id": 2604, "animal_uid": "animal_B4vrE744DdwUXqFxHntAY", "soc_group_id": 235, "soc_group_uid": "socGroup_h3MWcVA6E3LIdMOJRDCNB", "soc_group_name": "Yearly Dental Checkup", "soc_group_type": "Treatment", "ownership_id": 3, "ownership_uid": "ownershipSeparation_cAl0DAnmH0C1EqVw0souz", "calculated_at": 1673831655, "created_at": 1673831655, "modified_at": 1673831655 } } ], "messages": [ [ ] ]
{
}
GET
/v2/standardofcare
Samples
Standard of Care Configuration V4
A REST API for managing the Standard of Care (SOC) configuration that drives each animal's
Standard of Care records: which care services exist, which animals they apply to, and which
products fulfil them.
Key Concepts
- Care Services represent a vaccination or treatment service, with a name, a type
(VaccineorTreatment) and an importance (Required,CoreorNon-Core). - Linked Products link products to a care service. When a linked product is invoiced, the
next due date for the care service is calculated from the linked product's settings. - Eligibility Rules define which animals, species or tags a care service applies to. An
animal must match at least one active eligibility rule to have the care service appear in its
Standard of Care table. - Exemptions exclude specific animals or tags from a care service, even when they match an
eligibility rule.
Routing
Linked products, eligibility rules and exemptions are listed and created under their care
service (/v4/soc/care-services/{id}/linked-products and so on), and fetched and updated by
their own id (/v4/soc/linked-products/{linkedProductId} and so on).
All error responses use {errors: [{id, code}]} (see ErrorResponse).
Reference Documentation
Operations
GET/v4/soc/care-servicesPOST/v4/soc/care-servicesGET/v4/soc/care-services/{id}PATCH/v4/soc/care-services/{id}GET/v4/soc/care-services/{id}/linked-productsPOST/v4/soc/care-services/{id}/linked-productsGET/v4/soc/linked-products/{linkedProductId}PATCH/v4/soc/linked-products/{linkedProductId}GET/v4/soc/care-services/{id}/eligibility-rulesPOST/v4/soc/care-services/{id}/eligibility-rulesGET/v4/soc/eligibility-rules/{ruleId}PATCH/v4/soc/eligibility-rules/{ruleId}GET/v4/soc/care-services/{id}/exemptionsPOST/v4/soc/care-services/{id}/exemptionsGET/v4/soc/exemptions/{exemptionId}PATCH/v4/soc/exemptions/{exemptionId}
List all care services
GET
/v4/soc/care-services
Retrieve a paginated list of care services (active only by default; use status=all for all records).
Results can be filtered by type, importance, and status.
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-standardofcare"Read standard of care resources
Parameters
Query Parameters
pageSize
Maximum number of care services to return per page (clamped to 1–2000). Must not be sent together with nextToken; use nextToken alone to continue a sequence (page size is taken from the token).
Type
integer
Minimum
1Maximum
2000Default
2000nextToken
Opaque cursor for the next page. Embeds the keyset position, effective pageSize, and list filters from the response that returned this token. Send nextToken without any other query parameters except those required for authentication; combining it with pageSize or any list filter yields 400 / RedundantParamsWithNextToken.
Type
string
Example
"MTIz"status
Filter by care service status. When omitted, only active care services are returned. Use all to include both active and inactive (disabled) records.
Type
string
Valid values
"active""inactive""all"type
Filter by care service type
Type
string
Valid values
"Vaccine""Treatment"importance
Filter by importance level
Type
string
Valid values
"Required""Core""Non-Core"Responses
A list of care services
application/json
JSON "meta": { "nextToken": "MTIz" }, "data": [ { "id": "socGroup_602aTIeV9XsL0NYzRcy1m", "name": "Rabies", "type": "Vaccine", "importance": "Core", "replacementName": "RabiesRx", "status": "active", "createdAt": "string", "createdBy": "user_abc123def456", "modifiedAt": "string", "modifiedBy": "user_xyz789ghi012" } ], "errors": [ { "id": "8954638926413656075_1", "code": "ResourceNotFound", "target": "/data/name", "additionalProperties": "string" } ]
{
}
GET
/v4/soc/care-services